<?php
/**
 * A nota fiscal escolhida já está marcada como importada anteriormente,
 * portanto ela não pode ser importada novamente pois seria duplicada nos
 * registros no banco de dados.
 */

namespace Fiscal\Logic\ImportacaoNFE\Exceptions;

/**
 *
 */
class ItemNaoAssociado extends \Fiscal\Logic\Exception
{

    /**
     * @param array $itens
     * @param string $message
     * @param int $code
     * @param \Exception $previous
     */
    public function __construct(array $itens, $message = "", $code = 0, \Exception $previous = null)
    {
        parent::__construct($message, $code, $previous);
        $params = "";
        /** @var $item \Fiscal\Entities\IntgItemproduto*/
        foreach ($itens as $item) {
            $params .= "<br>".$item->getNmproduto();
        }

        $this->addParam($params);
    }


    /**
     * Retorna o nome da mensagem cadastrada no Setforms para esta excecao.
     *
     * @return string
     */
    public function getMessageName()
    {
        // Os seguintes itens não puderam ser importados, porque não há itens associados a estes:
        return "msg_tecfood_item_nao_associado";
    }
}
